unordered_set.hpp File Reference
Support for Serializing Various Types » Standard Library Support

Support for types found in <unordered_set> More...

`#include "cereal/cereal.hpp"`
`#include <unordered_set>`

Go to the source code of this file.

## Functions

template<class Archive , class SetT >
void | cereal::unordered_set_detail::save (Archive &ar, SetT const &set)
template<class Archive , class SetT >
void | cereal::unordered_set_detail::load (Archive &ar, SetT &set)
template<class Archive , class K , class H , class KE , class A >
void | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, std::unordered_set< K, H, KE, A > const &unordered_set)
| Saving for std::unordered_set.
template<class Archive , class K , class H , class KE , class A >
void | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, std::unordered_set< K, H, KE, A > &unordered_set)
| Loading for std::unordered_set.
template<class Archive , class K , class H , class KE , class A >
void | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, std::unordered_multiset< K, H, KE, A > const &unordered_multiset)
| Saving for std::unordered_multiset.
template<class Archive , class K , class H , class KE , class A >
void | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, std::unordered_multiset< K, H, KE, A > &unordered_multiset)
| Loading for std::unordered_multiset.

## Detailed Description

Support for types found in <unordered_set>